### Method

# AyatanaAppIndicatorGlib Indicator set_icon

#### Declaration

    void
    app_indicator_set_icon (
      AppIndicator* self,
      const gchar* icon_name,
      const gchar* icon_desc
    )

#### Description

Sets the default icon to use when the status is active but not set to attention. In most cases, this should be the application icon for the program.

Wrapper function for property `AppIndicator:icon-name` and `AppIndicator:icon-desc`.

#### Parameters

`icon_name`

  Type: `const gchar*`

  The icon name to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`icon_desc`

  Type: `const gchar*`

  A description of the icon for accessibility.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.